This change log contains only changes relevant to the KDM configuration,
startup and packaging. Bug fixes are not listed, and feature changes only
if they affect the configuration.

2010-06-06  Oswald Buddenhagen <ossi@kde.org>

	* Removed the ResetSignal and TermSignal options.

2010-02-28  Oswald Buddenhagen <ossi@kde.org>

	* Made it possible to run X server and greeter as non-root.
	  Options ServerUID and GreeterUID.

2009-10-17  Oswald Buddenhagen <ossi@kde.org>

	* Made input grabbing optional. Option GrabInput.

2008-11-23  Oswald Buddenhagen <ossi@kde.org>

	* Added setting of PAM_XDISPLAY and PAM_XAUTHDATA PAM items.

2007-11-15  Oswald Buddenhagen <ossi@kde.org>

	* Greeter is now started with unchanged environment variables.

2007-10-27  Oswald Buddenhagen <ossi@kde.org>

	* Moved kdm_config, kdm_greet & krootimage into libexec_dir.

2007-07-08  Oswald Buddenhagen <ossi@kde.org>

	* Improved expando support in UserLogFile. Add UserLogFallback.

2007-07-07  Oswald Buddenhagen <ossi@kde.org>

	* Made out-of-$HOME xauth enforcable. Option ForceUserAuthDir.

2007-06-20  Oswald Buddenhagen <ossi@kde.org>

	* Replaced dysfunct EchoMode with working EchoPasswd.

2006-10-12  Oswald Buddenhagen <ossi@kde.org>

	* Removed control FiFos. Use the control sockets or kdmctl instead.

2006-10-07  Oswald Buddenhagen <ossi@kde.org>

	* Added greeter theming, options Theme & UseTheme.

2005-08-21  Oswald Buddenhagen <ossi@kde.org>

	* Added timed login. Option AutoLoginDelay.
	* Added persistent auto-login. Option AutoLoginAgain.

2005-02-01  Oswald Buddenhagen <ossi@kde.org>

	* Made the word splitter more sh-like. Affects HaltCmd, RebootCmd,
	  Setup, Startup, Reset, Session and Xrdb.
	* Replaced option Xservers with StaticServers, ReserveServers,
	  ServerCmd, ServerArgsLocal, ServerArgsRemote, ServerVT and ServerTTY.

2005-01-31  Oswald Buddenhagen <ossi@kde.org>

	* Added console mode that is suitable for systems with VTs (Linux).
	  Option ConsoleTTYs. The @tty spec in Xservers is irrelevant on
	  those systems now.

2005-01-23  Oswald Buddenhagen <ossi@kde.org>

	* Added Grub support to boot options. Option UseLilo replaced
	  with BootManager { None, Grub, Lilo }. Removed options LiloCmd
	  and LiloMap.

2005-01-09  Oswald Buddenhagen <ossi@kde.org>

	* Merged sessreg into kdm. Option UseSessReg.

2004-08-14  Oswald Buddenhagen <ossi@kde.org>

	* Replaced dysfunct InteractiveSd with working
	  ScheduledSd { Never, Optional, Always }

2004-07-28  Oswald Buddenhagen <ossi@kde.org>

	* Added control sockets. Control FiFos are now obsolete.
	  Added control socket command line client 'kdmctl'.
	* The Setup program is now run even for automatic logins.
	  Setup, Startup and Reset have the arg "auto" for automatic logins.

2004-07-23  Oswald Buddenhagen <ossi@kde.org>

	* Dynamic VT allocation added; option ServerVTs; no need to specify
	  vtX in Xservers any more.

2004-07-10  Oswald Buddenhagen <ossi@kde.org>

	* GreeterPosX, GreeterPosY and GreeterPosFixed replaced with
	  single GreeterPos which is a pair of relative coordinates

2004-07-01  Oswald Buddenhagen <ossi@kde.org>

	* The greeter can now run a "session preloader"; option Preloader

2004-04-15  Oswald Buddenhagen <ossi@kde.org>

	* Merge from XDM:
	  - IPv6 support
	  - LISTEN keyword in Xaccess
	  - Changes to Enable and Port in [Xdmcp] now take effect when HUPed
	  - Support for EGD/PRNGD; options PrngdPort and PrngdSocket

2004-04-14  Oswald Buddenhagen <ossi@kde.org>

	* -debug now groks additional bits for stracing and valgrinding
	  helper processes and disabling syslog usage.

2004-04-09  Oswald Buddenhagen <ossi@kde.org>

	* NoPassUsers now accepts an asterisk ("*") meaning all users

2004-04-08  Oswald Buddenhagen <ossi@kde.org>

	* Changes to FifoDir and FifoGroup now take effect on the global
	  command FiFo when HUPed.

2004-03-16  Oswald Buddenhagen <ossi@kde.org>

	* Changed AllowClose default to true; only the default kdmrc
	  disables it for local display now.

2004-03-11  Chris Cheney <ccheney@cheney.cx>

	* Sanitized UserPath and SystemPath defaults.

2004-03-07  Oswald Buddenhagen <ossi@kde.org>

	* Add user name autocompletion to greeter; option UserCompletion.
	  As a side effect, "None" is gone from ShowUsers and UserList
	  appeared; ShowUsers & SortUsers affect both the user list and
	  the completion list.

2004-02-28  Oswald Buddenhagen <ossi@kde.org>

	* The default Xsession no longer tries to merge kdm's PATH into the
	  one set up by the shell startup scripts. Instead, kde.desktop
	  contains a full pathname and startkde fixes up PATH if necessary.
	* The default Xsession will emulate the startup behaviour of more
	  shells, in particular bash, zsh and csh/tcsh.
	* Setting up the session log is now done by kdm, not the Session
	  script; option ClientLogFile.

2004-01-25  Oswald Buddenhagen <ossi@kde.org>

	* Add support for specifying groups in SelectedUsers, HiddenUsers and
	  NoPassUsers. Prefix group names with a @.

2003-12-17  Oswald Buddenhagen <ossi@kde.org>

	* XDMCP initiated local displays are now treated as remote displays
	  (on localhost) by the config reader.

2003-11-09  Oswald Buddenhagen <ossi@kde.org>

	* Sanitized display restart behaviour; option StartInterval is gone.

2003-11-04  Oswald Buddenhagen <ossi@kde.org>

	* Conversation plugins can be configured now; option PluginOptions.
	* The "Restart X Server"/"Close Connection" action can be configured
	  away; option AllowClose.
	* The "Console Login" action can be configured away without touching
	  Xservers; option AllowConsole.

2003-10-27  Oswald Buddenhagen <ossi@kde.org>

	* KDM now complies with the input model of PAM. The greeter has an 
	  interface for conversation plugins, so alternative authentication
	  mechanisms can be handled; options PluginsLogin & PluginsShutdown.
	* Password-less and automatic logins now use a separate PAM service
	  (${KDM_PAM_SERVICE}-np).

2003-10-17  Oswald Buddenhagen <ossi@kde.org>

	* Add --with-kdm-xconsole configure switch. No need to patch
	  Makefile.am to enable the built-in xconsole anymore.

2003-09-23  Oswald Buddenhagen <ossi@kde.org>

	* Session types are now defined with .desktop files; consequently the
	  SessionTypes option is gone and we got SessionsDirs instead.
	* The default Xsession now hard-wires the session types
	  - "default" to startkde
	  - "custom" to ~/.xsession
	* The previous session type choice is now saved in a different file
	  (~/.dmrc) in a different format (ini-file); the SessSaveFile option
	  is gone. Optionally KDM can be configured to store all .dmrc files
	  in a common directory (option DmrcDir); this can be useful for AFS
	  based installations.
	* The location of the administratively set user faces is now specified
	  by the FaceDir option and the pictures have a .face.icon extension
	  (or .face for "natural" images, possibly photos).

	The spec for the above changes is shared with GDM, so packagers should
	choose common directories.

	* The kdmsts file moved to /var/lib/kdm by default; option DataDir.
	* Nuked the AutoLoginSession option; i don't think it was useful at all
	  and it can be emulated anyway.

2003-09-03  Oswald Buddenhagen <ossi@kde.org>

	* Add option RandomDevice to override the OS specific default
	  entropy source.

2003-08-26  Oswald Buddenhagen <ossi@kde.org>

	* Add random seed to forged "previous" session type calculation;
	  option ForgingSeed.

2003-07-15  Malte Starostik <malte@kde.org>

	* ColorScheme is now interpreted as the base name of the .kcsrc file,
	  not the contents of its Name field.

2003-05-11  Oswald Buddenhagen <ossi@kde.org>

	* GUIStyle & ColorScheme now accept an empty string, meaning
	  "built-in default". Made defaults empty, consequently.

2002-12-01  Oswald Buddenhagen <ossi@kde.org>

	* Integrated chooser into greeter; external 'chooser' executable
	  and the Chooser option are gone.
	* The chooser can be started locally (without an XDMCP query);
	  options LoginMode and ChooserHosts.
	* Added built-in xconsole to greeter; options ShowLog and LogSource.
	  This code is not built by default; uncomment the first three lines
	  in kfrontend/Makefile.am to enable it.
	* The DaemonMode option is gone. The command line switches -daemon and
	  -nodaemon still exist, but are mostly unnecessary, as KDM can decide
	  what to do based on the parent process ID.
	* The AutoLogin option and the -autolog/-noautolog switches are gone.
	* The AutoLogin1st option is gone.
	* The position of the -debug and -logfile command line options is
	  irrelevant again. The -xrm option is back, but is ignored by the
	  KDE frontend.

2002-08-28  Oswald Buddenhagen <ossi@kde.org>

	* Made it possible to specify the color scheme for the greeter;
	  option ColorScheme

2002-08-10  Oswald Buddenhagen <ossi@kde.org>

	* Renamed kdmdesktop to krootimage, moved it back into the KDM source
	  tree, and changed its command line
	* krootimage will be automatically invoked by the greeter by default;
	  option UseBackground
	* Chucked out the [Desktop0] section from kdmrc. Instead, the
	  location of the config file containing such a section is specified
	  with the BackgroundRc option.
	* User images can now be optionally fetched from the users's home
	  directories; option FaceSource
	* The default of the KeyFile option is now empty again
	* GreeterScreen now groks -2, meaning upper-right screen

2002-08-06  Oswald Buddenhagen <ossi@kde.org>

	* Automatically don't daemonize if started by init.

2002-03-19  Oswald Buddenhagen <ossi@kde.org>

	* The default Xsession will emulate the startup behaviour of sh/ksh
	  by sourcing /etc/profile and ~/.profile.

2002-03-10  Oswald Buddenhagen <ossi@kde.org>

	* Added InteractiveSd option. This is not really implemented yet,
	  so enabling it just makes KDM deny the existence of the shutdown
	  condition/timing options.
	* The Setup script is now executed synchronously. Long-lasting
	  commands should be put in the background explicitly.

2002-02-28  George Staikos <staikos@kde.org>

	* GreeterScreen now groks -1, meaning upper-left screen.

2002-01-14  Oswald Buddenhagen <ossi@kde.org>

	* Added option NumLock {On,Off,Keep} to preset the NumLock modifier
	  state for the greeter

2001-12-11  Oswald Buddenhagen <ossi@kde.org>

	* Added AntiAliasing option to disable antialiasing in the greeter

2001-11-30  Oswald Buddenhagen <ossi@kde.org>

	* Added GreeterScreen option to put the greeter on a particular
	  screen in multi-headed setups.
	* Changed the default of Language from "C" to "en_US"

2001-11-22  Oswald Buddenhagen <ossi@kde.org>

	* The defaults of the options Xservers, Session, Setup, Startup, 
	  Reset and PidFile are now back to the saner XDM defaults,
	  so KDM works even without config files.
	* Changed option ShowUsers: All -> NotHidden
	* Renamed the option Users to SelectedUsers and NoUsers to HiddenUsers.
	* The GUIStyle option now groks all installed widget styles.
	  Note that Motif+ and KDE are now called MotifPlus resp. Default.

2001-11-02  Oswald Buddenhagen <ossi@kde.org>

	* Added conditional/scheduled shutdown modes; options
	  DefaultSdMode and AllowSdForceNow; moved AllowShutdown from
	  [X-<dpy>-Greeter] to [X-<dpy>-Core].
	* Added reserve display support; extension to Xservers.
	* Added command FiFo support (see README); options FifoDir,
	  FifoGroup, [ShutDown]/AllowFifo, and [ShutDown]/AllowFifoNow.
	  FiFo location and capabilities are exported in $XDM_MANAGED.

2001-10-04  Oswald Buddenhagen <ossi@kde.org>

	* Xauth files are now created in AuthDir, not AuthDir/authdir.
	  Changed AuthDir default to /var/run/xauth.

2001-07-12  Oswald Buddenhagen <ossi@kde.org>

	* Renamed the option Xwilling to Willing
	* The RandomFile option is not recognized on Linux and OpenBSD any
	  longer, as they have better entropy sources

2001-07-10  Oswald Buddenhagen <ossi@kde.org>

	* Added the tool 'genkdmconf'. It's supposed to create a suitable
	  configuration for KDM during 'make install' by merging new defaults
	  with a previous XDM/KDM config (if any is found).

2001-07-03  Oswald Buddenhagen <ossi@kde.org>

	* Added counterpart to the MinShowUID option: MaxShowUID

2001-06-23  Oswald Buddenhagen <ossi@kde.org>

	* Xauth files are now created in AuthDir/authfiles, not
	  AuthDir/authdir/authfiles

2001-06-16  Oswald Buddenhagen <ossi@kde.org>

	* Optionally put the cursor right in the "Password" field when
	  a user is preselected in the "Login" field; option FocusPasswd

2001-06-15  Oswald Buddenhagen <ossi@kde.org>

	* Replaced the ShutdownButton + ShutdownNeedsRoot option pair with
	  the AllowShutdown {None,Root,All} option

2001-06-10  Oswald Buddenhagen <ossi@kde.org>

	* The source directory structure changed entirely
	* The argument to the -debug command line option is now a bit field;
	  the DebugLevel resource is gone
	* The ErrorLogFile resource is gone
	* The greeter module libKdmGreet.so has been converted to an
	  executable named kdm_greet; the external config parser is now
	  named kdm_config. The resource GreeterLib and the command line
	  option -getcfg (and -cfg2get) are gone, as the locations of the
	  config parser and greeter are derived from the location of the
	  kdm executable
	* The config files are all located in ${kde_confdir}/kdm now; the
	  defaults for Setup & Session were adapted to this.
	* The keys in kdmrc were reorganized:
	  - [KDM]/ShutdownButton -> [X-<dpy>-Greeter]/(ShutdownButton & 
			ShutdownNeedsRoot)
	  - [KDM]/Shutdown -> [Shutdown]/HaltCmd
	  - [KDM]/Restart -> [Shutdown]/RebootCmd
	  - [KDM]/LogoArea -> [X-*-Greeter]/ {None,Logo,Clock}
	  - remaining keys from [KDM] -> [X-*-Greeter]/
	  - [Lilo]/Lilo -> [Shutdown]/UseLilo
	  - [Lilo]/LiloCommand -> [Shutdown]/LiloCmd
	  - [Lilo]/LiloMap -> [Shutdown]/
	  - [Locale]/Language -> [X-*-Greeter]/ (Country key dropped)
	* KDM will no longer use kdm-config; most of its resources were
	  absorbed into kdmrc:
	  - Servers -> [General]/Xservers
	  - RequestPort -> [Xdmcp]/(Port & Enable)
	  - DaemonMode -> [General]/
	  - PidFile -> [General]/
	  - LockPidFile -> [General]/
	  - AuthDir -> [General]/
	  - AutoRescan -> [General]/
	  - RemoveDomainname -> [Xdmcp]/
	  - KeyFile -> [Xdmcp]/
	  - AccessFile -> [Xdmcp]/Xaccess/
	  - ExportList -> [General]/
	  - RandomFile -> [General]/
	  - ChoiceTimeout -> [Xdmcp]/
	  - SourceAddress -> [Xdmcp]/
	  - Willing -> [Xdmcp]/Xwilling
	  - AutoLogin -> [General]/
	  - GrabServer -> [X-<dpy>-Greeter]/
	  - GrabTimeout -> [X-<dpy>-Greeter]/
	  - AuthComplain -> [X-<dpy>-Greeter]/
	  - AuthName -> [X-<dpy>-Core]/AuthNames
	  - NoPassUsers -> [X-<dpy>-Core]/ & [X-<dpy>-Core]/NoPassEnable
	  - AutoUser -> [X-<dpy>-Core]/(AutoLoginUser & AutoLoginEnable)
	  - AutoPass -> [X-<dpy>-Core]/AutoLoginPass
	  - AutoString -> [X-<dpy>-Core]/AutoLoginSession
	  - remaining server & session resources -> [X-<dpy>-Core]/
	* In GreetString the HOSTNAME substitution was replaced with the
	  %%, %d, %h, %n, %s, %r & %m expandos
	* EchoMode does not understand "NoStars" any more. Use "NoEcho".
	* Defaults changed: AuthDir to /var/lib/kdm, KeyFile to
	  $kdm_confdir/kdmkeys, Xservers to $kdm_confdir/Xservers, Xaccess to
	  $kdm_confdir/Xaccess, Startup to $kdm_confdir/Xstartup, Reset to
	  $kdm_confdir/Xreset, removed kde2 from SessionTypes
	* The previous user is now saved in $kdm_confdir/kdmsts, not kdmrc
	* Added option SessSaveFile, defaulting to .wmrc
	* Command line option changes:
	  - -server, -udpPort, -resources, -session and -xrm are gone
	  - -error is aliased to -logfile
	  - -debug and -error/-logfile must be specified first
	  - options are now accepted with both one and two leading dashes
	* The default Xsession will now
	  - source ~/.xprofile if present
	  - try harder to determine what executable $1 corresponds to
	  - interpret "default" as ~/.xsession

2001-03-19  Oswald Buddenhagen <ossi@kde.org>

	* %DMNAME% and %DMPATH% are expanded in string resources;
	  changed the defaults for PidFile and ConfigFile accordingly -
	  the latter resulting in KDM now using kdm-config, NOT xdm-config
	* Use external config parser to merge platform-specific (that is,
	  KDE-like) configuration data into the XDM resources; command line
	  options -getcfg (default %DMPATH%_getcfg) and -cfg2get (no default,
	  meaning kdm_getcfg will use $kde_confdir/kdmrc).
	* Changed "kde" to "kde2" in the default SessionTypes
	* Stolen idea for console mode handling from dtlogin; options
	  ConsoleMode and AllowConsoleMode are gone; extension to Xservers

2001-01-19  Oswald Buddenhagen <ossi@kde.org>

	* Added resources AllowRootLogin and AllowNullPasswd

2001-01-15  Oswald Buddenhagen <ossi@kde.org>

	* Renamed UserIDLow option to MinShowUID
	* The LogoArea option now accepts the value "None"

2001-01-13  Oswald Buddenhagen <ossi@kde.org>

	* The GUIStyle option now works again and groks all of Qt's
	  built-in widget styles and the "KDE" style

2001-01-11  Oswald Buddenhagen <ossi@kde.org>

	* Added placing of the greeter at fixed coordinates; options
	  GreeterPosFixed, GreeterPosX, and GreeterPosY.
	* Added "default" to the default SessionTypes

2000-01-06  Oswald Buddenhagen <ossi@kde.org>

	* Added option AllowConsoleMode

2000-12-09  Oswald Buddenhagen <ossi@kde.org>

	* Added auto-login; options AutoLoginEnable, AutoLoginUser &
	  AutoLogin1st; resources AutoUser, AutoPass, AutoString & AutoLogin1st
	* Added password-less login; options NoPassEnable & NoPassUsers;
	  resource NoPassUsers
	* Added auto-re-login on XServer crash; resource & option AutoReLogin

	The kdmrc options and xdm-config resources are "ORed", i.e., if
	either is enabled, the function is enabled.
	The command line options -autolog/-noautolog and the resource AutoLogin
	can be used to disable auto-login and password-less login at once.

	* Added displaying the previously logged in user in the "Login"
	  field; option ShowPrevious. The previous user is saved in kdmrc,
	  section [Previous].

2000-12-07  Oswald Buddenhagen <ossi@kde.org>

	* New XDM port from XFree86 4.0.1
	  - new resources SourceAddress & Willing
	  - /authdir/authfiles is now automatically appended to AuthDir
	* Default for PidFile and Setup changed back to empty
	* Displays restarting too fast are disabled; resource StartInterval
	* Option UserView, and NoUsers dependency on Users being empty
	  replaced with explicit option ShowUsers {All,Selected,None}
	* Made the greeter dynamically loadable (libKdmGreet.so)
	* Moved chooser and greeter to separate directories,
	  same for unused stuff (misc/)

	* Added half-baked support for command FiFos; resources
	  FifoCreate, FifoGroup, FifoMode. Replaced on 2001-11-02

2000-10-10  Steffen Hansen <hansen@kde.org>

	* Made kdmdesktop read the [Desktop0] section from kdmrc instead
	  of kdmdesktoprc.

2000-09-07  Waldo Bastian <bastian@kde.org>

	* Make password echo mode configurable;
	  option EchoMode {OneStar,ThreeStars,NoEcho}

2000-08-07  Christopher Molnar <molnar@kde.org>

	* The minimal user ID to show in the user view can be specified now;
	  option UserIDLow.

2000-06-04  Espen Sand <espen@kde.org>

	* The logo area can now display either a clock or a pixmap;
	  option LogoArea {KdmClock,KdmLogo}

1999-12-12  Jaromir Dolecek <jdolecek@NetBSD.org>

	* Use OS-specific defaults for Shutdown & Restart
	* Make PidFile, UserPath & SystemPath defaults on NetBSD match FreeBSD

1999-11-17  Harald Hoyer <Harald.Hoyer@RedHat.de>

	* Made kchooser

1999-11-15  Matthias Hoelzer-Kluepfel <hoelzer@kde.org>

	* kdmdesktop replaced with ../kdesktop/kdmdesktop. Uses new config
	  file (kdmdesktoprc) with new options (all in section [Desktop0]):

1999-07-01  Steffen Hansen <hansen@kde.org>

	* Xaccess now accepts NOBROADCAST

1999-06-07  Matthias Hoelzer-Kluepfel <hoelzer@kde.org>

	* Added next boot OS selection via LiLo; options [Lilo] Lilo,
	  LiloCommand & LiloMap
	* Added button to switch to console mode; option [KDM] ConsoleMode

1999-03-01  Stephan Kulow <coolo@kde.org>

	* Option GUIStyle temporarily removed

1998-10-08  Thomas Tanghus <tanghus@earthling.net>

	* [KDMDESKTOP] option changes:
	  - BackgroundPictureTile, BackgroundPictureCenter, FancyBackground ->
	    BackgroundPictureMode {None,Tile,Center,Scale,
	              TopLeft,TopRight,BottomLeft,BottomRight,Fancy}
	  - add BackGroundColorMode {Plain,Horizontal,Vertical}
	  - BackgroundColor -> BackGroundColor1, BackGroundColor2

1998-09-20  Hans Petter Bieker <bieker@kde.org>

	* Change defaults:
	  - Setup: "" -> XDMDIR/Xsetup
	  - PidFile: "" -> FreeBSD: /var/run/kdm.pid, others: XDMDIR/kdm-pid
	  - Session: "XBINDIR/xterm -ls" -> XDMDIR/Xsession
	  - UserPath & SystemPath: no /usr/ucb for Linux & FreeBSD

1998-09-11  Hans Petter Bieker <bieker@kde.org>

	* Replace hard-coded paths with XBINDIR/XDMDIR in various defaults

1998-09-06  Hans Petter Bieker <bieker@kde.org>

	* Default Xsession now searches $1 in PATH and execs it

1998-03-26  Stephan Kulow <coolo@kde.org>

	* Nuke -kdedir cmdline option and Kdedir resource

1997-09-09  Steffen Hansen <hansen@kde.org>

	* Change defaults:
	  - AuthDir: XDMDIR/authDir -> XDMDIR/authdir

1997-09-04  kdecvs

	* Change defaults:
	  - AuthDir: XDMDIR -> XDMDIR/authDir
